#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys
import gi
gi.require_version('Gtk', '3.0')
gi.require_version('AppIndicator3', '0.1')
from gi.repository import AppIndicator3 as AppIndicator
from gi.repository import GObject, Gtk
import os
import subprocess 

class Zoom_icon(object):
	def __init__(self):
		self.__menu = Gtk.Menu()
		self.__menu_item_1 = Gtk.MenuItem("Factor escalado 1")
		self.__menu_item_1.connect("activate", self.escalar)
		self.__menu_item_1.show()
		self.__menu.append(self.__menu_item_1)
		self.__menu_item_2 = Gtk.ImageMenuItem("Factor escalado 2")
		self.__menu_item_2.connect("activate", self.escalar)
		self.__menu_item_2.show()
		self.__menu.append(self.__menu_item_2)
		self.__menu_item_3 = Gtk.ImageMenuItem("Factor escalado 3")
		self.__menu_item_3.connect("activate", self.escalar)
		self.__menu_item_3.show()
		self.__menu.append(self.__menu_item_3)
		self.__menu.show()
		icon = '/usr/share/guadalinexedu-uhd-gnome-scaling-applet/icon/zoom.svg'
		self.__indicator = AppIndicator.Indicator.new("Zoom", icon, AppIndicator.IndicatorCategory.SYSTEM_SERVICES)
		p = subprocess.Popen(["gsettings", "get", "org.gnome.desktop.interface", "scaling-factor"], stdout=subprocess.PIPE)
		p.wait()
		factor = str(p.stdout.read()).split(' ')[1][0].strip()
		self.__indicator.set_label('  Escalado %s:1' % factor, '')
		self.__indicator.set_menu(self.__menu)

	def escalar(self, widget, data = None):
		factor = widget.get_label().split(' ')[2]
		os.system("gsettings set org.gnome.desktop.interface scaling-factor %s" % factor)
		self.__indicator.set_label('  Escalado %s:1' % factor, '')

	def show_icon(self):
		self.__indicator.set_status(AppIndicator.IndicatorStatus.ACTIVE)

def main():
	icon = Zoom_icon()
	icon.show_icon()
	Gtk.main()
	return 0

if __name__ == "__main__":
	main()
